<?php


class UserTable extends PluginUserTable
{
    
    public static function getInstance()
    {
        return Doctrine_Core::getTable('User');
    }
    public function onlySa(Doctrine_Query $q)
    {
      
      
        $q = Doctrine_Query::create()
          ->from('User u')
          ->where('u.is_super_admin = 1');
      
       return $q;
    }
    public function onlyClients(Doctrine_Query $q)
    {
      
      
        $q = Doctrine_Query::create()
          ->from('User u')
          ->where('u.is_super_admin = 0');
      
       return $q;
    }
}